#-------------------------------------------------
#
# Project created by QtCreator 2010-04-09T14:11:50
#
#-------------------------------------------------

QT       += core gui dbus maemo5 network xml

TARGET = ../qspot

CONFIG += link_pkgconfig
PKGCONFIG += libosso libplayback-1 dbus-1 mce

TEMPLATE = app

SOURCES += main.cpp \
    MainWindow.cpp \
    logindialog.cpp \
    TrackView.cpp \
    qspotify_src/user.cpp \
    qspotify_src/trackcollection.cpp \
    qspotify_src/track.cpp \
    qspotify_src/spotifysession.cpp \
    qspotify_src/search.cpp \
    qspotify_src/playlist.cpp \
    qspotify_src/link.cpp \
    qspotify_src/imagecontainer.cpp \
    qspotify_src/error.cpp \
    qspotify_src/artistcatalogue.cpp \
    qspotify_src/artist.cpp \
    qspotify_src/albumbrowser.cpp \
    qspotify_src/album.cpp \
    qspotify_src/PlaybackThread.cpp \
    CustomSlider.cpp \
    SpectrumAnalyzer.cpp \
    QueueView.cpp \
    customlabel.cpp \
    SettingsDialog.cpp \
    ListViewDelegate.cpp \
    PickSelectorAction.cpp \
    CListView.cpp \
    OssoWrapper.cpp \
    AlbumView.cpp \
    CustomTextDialog.cpp \
    artistview.cpp \
    lastfmscrobbler.cpp \
    DBusWrapper.cpp

HEADERS  += MainWindow.h \
    logindialog.h \
    TrackView.h \
    qspotify_src/user.h \
    qspotify_src/trackcollection.h \
    qspotify_src/track.h \
    qspotify_src/spotifysession.h \
    qspotify_src/search.h \
    qspotify_src/playlist.h \
    qspotify_src/link.h \
    qspotify_src/imagecontainer.h \
    qspotify_src/error.h \
    qspotify_src/artistcatalogue.h \
    qspotify_src/artist.h \
    qspotify_src/albumbrowser.h \
    qspotify_src/album.h \
    qspotify_src/version.h \
    qspotify_src/callbacks.h \
    qspotify_src/PlaybackThread.h \
    CustomSlider.h \
    SpectrumAnalyzer.h \
    QueueView.h \
    customlabel.h \
    SettingsDialog.h \
    ListViewDelegate.h \
    PickSelectorAction.h \
    CListView.h \
    OssoWrapper.h \
    AlbumView.h \
    CustomTextDialog.h \
    artistview.h \
    lastfmscrobbler.h \
    DBusWrapper.h \
    global_defs.h

LIBS += -l:libopenspotify.so.4 -lpulse-simple

PREFIX = ../debian/qspot/usr
 
 unix {
 BINDIR = $$PREFIX/bin
 DATADIR =$$PREFIX/share
 
 DEFINES += DATADIR=\"$$DATADIR\" PKGDATADIR=\"$$PKGDATADIR\"
 
 #MAKE INSTALL
 
 INSTALLS += target desktop icon64 service images 
 
   target.path =$$BINDIR
 
   desktop.path = $$DATADIR/applications/hildon
   desktop.files += ../data/qspot.desktop
 
   icon64.path = $$DATADIR/icons/hicolor/64x64/apps
   icon64.files += ../data/qspot.png

   service.path = $$DATADIR/dbus-1/services
   service.files += ../data/org.maemo.qspot.service

   images.path = $$DATADIR/images
   images.files += ../data/play.png ../data/play-on.png ../data/pause.png ../data/next.png ../data/next-on.png ../data/previous.png ../data/previous-on.png ../data/icon-search.png ../data/icon-search-on.png ../data/icon-type-list.png ../data/icon-type-song-color.png ../data/icon-nowplaying.png ../data/shuffle.png ../data/shuffle-down.png ../data/icon-type-album.png
 }
